import java.util.List;

import javax.persistence.EntityManager;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public List findAll() {
    List<Professor> emps = em.createQuery("SELECT e FROM Professor e")
                  .getResultList();
    for (Professor emp : emps) {
        if (emp.getDepartment() != null) {
            System.out.println(emp.getDepartment().getName());
        }
    }
    return emps;
}
}
